Resource

Incident Feed

Log of the entire incident state change. This is a log of all the incident state changes, public notes, more etc.

The Incident Feed Model

Properties

  • Name
    _id
    Type
    Object ID
    Description

    ID of this object

  • Name
    createdAt
    Type
    Date
    Description

    Date and Time when the object was created.

  • Name
    updatedAt
    Type
    Date
    Description

    Date and Time when the object was updated.

  • Name
    project
    Type
    Project
    Description

    Relation to Project Resource in which this object belongs

  • Name
    projectId
    Type
    Object IDRequired
    Description

    ID of your Project in which this object belongs

  • Name
    incident
    Type
    Incident
    Description

    Relation to Incident in which this resource belongs

  • Name
    incidentId
    Type
    Object IDRequired
    Description

    Relation to Incident ID in which this resource belongs

  • Name
    createdByUser
    Type
    User
    Description

    Relation to User who created this object (if this object was created by a User)

  • Name
    createdByUserId
    Type
    Object ID
    Description

    User ID who created this object (if this object was created by a User)

  • Name
    feedInfoInMarkdown
    Type
    MarkdownRequired
    Description

    Log of the entire incident state change in Markdown

  • Name
    moreInformationInMarkdown
    Type
    Markdown
    Description

    More information in Markdown

  • Name
    incidentFeedEventType
    Type
    TextRequired
    Description

    Incident Feed Event

  • Name
    displayColor
    Type
    ColorRequired
    Description

    Display color for the incident log

  • Name
    user
    Type
    User
    Description

    Relation to User who this feed belongs to (if this feed belongs to a User)

  • Name
    userId
    Type
    Object ID
    Description

    User who this feed belongs to (if this feed belongs to a User)

  • Name
    postedAt
    Type
    Date
    Description

    Date and time when the feed was posted

GETorPOST/api/incident-feed/get-list

List

This endpoint allows you to retrieve a paginated list of all your Incident Feed. By default, a maximum of ten Incident Feed are shown per page.

Optional Query Params

  • limit
    number
    Number of objects to fetch. By default 10, you can increase this count up to 100
  • skip
    number
    Number of objects to skip. This can be useful in pagination

Optional Request Body

List Request

POST
/api/incident-feed/get-list?skip=0&limit=10
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "select": {
    "displayColor": true,
    "feedInfoInMarkdown": true,
    "incidentFeedEventType": true,
    "incidentId": true,
    "projectId": true
  },
  "query": {
    "incidentFeedEventType": "IncidentStateChanged"
  },
  "sort": {
    "createdAt": -1
  }
}

Response

{
  "count": 10,
  "limit": 10,
  "skip": 0,
  "data": [
    {
      "_id": "3770a750-28fe-11f1-b591-3fdcef396aba",
      "displayColor": "#e74c3c",
      "feedInfoInMarkdown": "**Incident State Changed**: Status changed from `Acknowledged` to `Resolved` by John Doe",
      "incidentFeedEventType": "IncidentStateChanged",
      "incidentId": "a1b2c3d4-f5e6-7890-1234-567890abcdef",
      "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e"
    },
    {
      "_id": "3770a751-28fe-11f1-b591-3fdcef396aba",
      "displayColor": "#e74c3c",
      "feedInfoInMarkdown": "**Incident State Changed**: Status changed from `Acknowledged` to `Resolved` by John Doe",
      "incidentFeedEventType": "IncidentStateChanged",
      "incidentId": "a1b2c3d4-f5e6-7890-1234-567890abcdef",
      "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e"
    },
    {
      "_id": "3770a752-28fe-11f1-b591-3fdcef396aba",
      "displayColor": "#e74c3c",
      "feedInfoInMarkdown": "**Incident State Changed**: Status changed from `Acknowledged` to `Resolved` by John Doe",
      "incidentFeedEventType": "IncidentStateChanged",
      "incidentId": "a1b2c3d4-f5e6-7890-1234-567890abcdef",
      "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e"
    }
  ]
}
GETorPOST/api/incident-feed/:id/get-item

Get item by ID

This endpoint allows you to retrieve Incident Feed by ID.

  • id
    text
    ID of the Object

Optional Request Body

Get Item Request

POST
/api/incident-feed/:id/get-item
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "select": {
    "displayColor": true,
    "feedInfoInMarkdown": true,
    "incidentFeedEventType": true,
    "incidentId": true,
    "projectId": true
  }
}

Response

{
  "_id": "3770a750-28fe-11f1-b591-3fdcef396aba",
  "displayColor": "#e74c3c",
  "feedInfoInMarkdown": "**Incident State Changed**: Status changed from `Acknowledged` to `Resolved` by John Doe",
  "incidentFeedEventType": "IncidentStateChanged",
  "incidentId": "a1b2c3d4-f5e6-7890-1234-567890abcdef",
  "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e"
}
POST/api/incident-feed/count

Count

This endpoint allows you to retrieve the count of all your Incident Feed.

Optional Request Body

Count Request

POST
/api/incident-feed/count
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "query": {
    "incidentFeedEventType": "IncidentStateChanged"
  }
}

Response

{
  "count": 107
}
POST/api/incident-feed

Create Incident Feed

This endpoint allows you to create a new object.

Create Request

POST
/api/incident-feed
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "data": {
    "displayColor": "#e74c3c",
    "feedInfoInMarkdown": "**Incident State Changed**: Status changed from `Acknowledged` to `Resolved` by John Doe",
    "incidentFeedEventType": "IncidentStateChanged",
    "incidentId": "a1b2c3d4-f5e6-7890-1234-567890abcdef",
    "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e"
  }
}

Response

{
  "_id": "3770a750-28fe-11f1-b591-3fdcef396aba",
  "displayColor": "#e74c3c",
  "feedInfoInMarkdown": "**Incident State Changed**: Status changed from `Acknowledged` to `Resolved` by John Doe",
  "incidentFeedEventType": "IncidentStateChanged",
  "incidentId": "a1b2c3d4-f5e6-7890-1234-567890abcdef",
  "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e"
}

Permissions

Your API Token needs permissions to create, update, read or delete this resource. If you do not have permissions to make a request a 4xx status will be sent as response.

Read Permissions

Required to read Incident Feed

  • Project Owner
  • Project Admin
  • Project Member
  • Read Incident Feed
  • Read All Project Resources

Create Permissions

Required to create Incident Feed

  • Project Owner
  • Project Admin
  • Project Member
  • Create Incident Feed

Update Permissions

Required to update Incident Feed

This resource cannot be updated via the API

Delete Permissions

Required to delete Incident Feed

This resource cannot be deleted via the API